<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Serverside extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mseverside');
        $this->load->library('form_validation');        
	$this->load->library('datatables');
    }

    public function index()
    {
        $this->load->view('serverside/Serverside_list');
    } 
    
    public function json() {
        header('Content-Type: application/json');
        echo $this->Mseverside->json();
    }

   

    public function create() 
    {
        $data = array(
            'button' => 'Create',
            'action' => site_url('serverside/create_action'),
	    'id' => set_value('id'),
	    'namavariety' => set_value('namavariety'),
	    'kelas' => set_value('kelas'),
	    'sort' => set_value('sort'),
	);
        
        return view('serverside/Serverside_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'namavariety' => $this->input->post('namavariety',TRUE),
		'kelas' => $this->input->post('kelas',TRUE),
		'sort' => $this->input->post('sort',TRUE),
	    );

            $this->Mseverside->insertData($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('serverside'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mseverside->first('id',$id);

        if ($row) {
            $data = array(
                'button' => 'Update',
                'action' => site_url('serverside/update_action'),
		'id' => set_value('id', $row->id),
		'namavariety' => set_value('namavariety', $row->namavariety),
		'kelas' => set_value('kelas', $row->kelas),
		'sort' => set_value('sort', $row->sort),
	    );
return view('serverside/Serverside_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('serverside'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id', TRUE));
        } else {
            $data = array(
		'namavariety' => $this->input->post('namavariety',TRUE),
		'kelas' => $this->input->post('kelas',TRUE),
		'sort' => $this->input->post('sort',TRUE),
	    );

            $this->Mseverside->updateData( $data,$this->input->post('id', TRUE));
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('serverside'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mseverside->first('id',$id);

        if ($row) {
            $this->Mseverside->deleteData($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('serverside'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('serverside'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('namavariety', 'namavariety', 'trim|required');
	$this->form_validation->set_rules('kelas', 'kelas', 'trim|required');
	$this->form_validation->set_rules('sort', 'sort', 'trim|required');

	$this->form_validation->set_rules('id', 'id', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Serverside.php */
/* Location: ./application/controllers/Serverside.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2019-08-30 03:57:55 */
/* http://harviacode.com */